Name:           irstlm
Version:        5.80.08
Release:        1%{?dist}
Summary:        Statistical language model tool

License:        LGPLv2+
URL:            http://hlt.fbk.eu/technologies/irstlm-irst-language-modelling-toolkit
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# Fix a case of violating the ANSI strict aliasing rules.
# https://sourceforge.net/tracker/?func=detail&aid=3608176&group_id=183064&atid=903742
Patch0:         %{name}-alias.patch
# Update configure.in.  Sent upstream 24 Oct 2013.
Patch1:         %{name}-configure.patch

BuildRequires:  libtool
BuildRequires:  tex(latex)
BuildRequires:  tex(epsf.sty)
BuildRequires:  tex(framed.sty)
BuildRequires:  tex(fullpage.sty)
BuildRequires:  tex(version.sty)
BuildRequires:  zlib-devel

# date and rm are invoked at runtime
Requires:       coreutils

%description
Irstlm is a tool for the estimation, representation, and computation of
statistical language models.

%package devel
Summary:        Headers and libraries for building with %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The headers and libraries needed to build applications that use %{name}.

%package tools
Summary:        Programs and scripts that use the %{name} library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description tools
Programs and scripts that use the %{name} library.

%prep
%setup -q
%patch0
%patch1

cd trunk

# Fix executable bits
find src -type f -perm /0111 | xargs chmod a-x
chmod a+x scripts/rm-start-end.sh scripts/wrapper

# Upstream doesn't ship the actual configure script
autoreconf -fi

%build
cd trunk
%configure --enable-shared --disable-static --enable-interpolatedsearch \
  --enable-caching --enable-doc
make %{?_smp_mflags}

%install
cd trunk
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}

# Move the header files into their own directory to avoid name clashes
mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}

# We don't want libtool archives
rm -f %{buildroot}%{_libdir}/*.la

# We will install the documentation our own way
rm -fr %{buildroot}%{_prefix}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc trunk/README
%license trunk/Copyright
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so

%files tools
%doc trunk/doc/irstlm-manual.pdf
%{_bindir}/*

%changelog
* Fri Mar 13 2015 Jerry James <loganjerry@gmail.com> - 5.80.08-1
- New upstream release

* Tue Jan 27 2015 Jerry James <loganjerry@gmail.com> - 5.80.07-1
- New upstream release
- Build and install the manual

* Tue Sep  9 2014 Jerry James <loganjerry@gmail.com> - 5.80.06-1
- New upstream release
- Drop unused BRs
- Drop upstream patches
- Fix license handling

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.80.03-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.80.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Jerry James <loganjerry@gmail.com> - 5.80.03-4
- Update project URL

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 5.80.03-3
- Rebuild for boost 1.55.0

* Wed Oct 23 2013 Jerry James <loganjerry@gmail.com> - 5.80.03-2
- Add -configure patch to update autotools input

* Wed Jul 17 2013 Jerry James <loganjerry@gmail.com> - 5.80.03-1
- Initial RPM
